Skip to main content
POST
Create a 2FA Verification

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Body

application/json

Attributes for the new 2FA verification.

service_id
string
required

Unique Wavix 2FA Service ID. Available on the Wavix portal.

Example:

"7204a030201211ee9fb47d093f2f127c"

to
string
required

End user's phone number to which the verification code will be sent. The phone number must be in E.164 format.

Example:

"447919433768"

channel
string
required

Channel used to deliver the verification code. One of sms (sent as a text message) or voice (read aloud over a phone call).

Example:

"sms"

Response

Returns the created 2FA verification.

success
boolean
required

Indicates whether the 2FA Verification was successfully created

Example:

true

service_id
string
required

Unique identifier of the Wavix 2FA Service

Example:

"7204a030201211ee9fb47d093f2f127c"

session_url
string
required

Automatically generated 2FA Verification URL. The URL can be used to resend or validate the OTP.

Example:

"https://api.wavix.com/v1/two-fa/verification/2953d4308f2e11ecb75fcdafd6d2d687"

session_id
string
required

Unique identifier of the Wavix 2FA Verification

Example:

"2953d4308f2e11ecb75fcdafd6d2d687"

destination
string
required

The end user's phone number.

Example:

"447919433768"

created_at
string<date-time>
required

Date and time the 2FA Verification is created

Example:

"2022-02-16T13:41:38.000Z"

number_lookup
PhoneLookupDetails · object
required